Package twisted :: Package names :: Module authority :: Class BindAuthority

[frames | no frames]

## Class BindAuthority

    ResolverBase --+
                   |
       FileAuthority --+
                       |
                      BindAuthority

An Authority that loads BIND configuration files

Method Summary
| `addRecord(self, owner, ttl, type, domain, cls, rdata)`
| `class_IN(self, ttl, type, domain, rdata)`
| `collapseContinuations(self, lines)`
| `loadFile(self, filename)`
| `parseLines(self, lines)`
| `parseRecordLine(self, origin, ttl, line)`
| `stripComments(self, lines)`
Inherited from FileAuthority
| ``__init__`(self, filename)`
| ``__setstate__`(self, state)`
| ``_cbAllRecords`(self, results)`
| ``_lookup`(self, name, cls, type, timeout)`
| ``lookupZone`(self, name, timeout)`
Inherited from ResolverBase
| ``_cbRecords`(self, (ans, auth, add), name, effort)`
| ``getHostByName`(self, name, timeout, effort)`
| ``lookupAddress`(self, name, timeout)`
| ``lookupAddress6`(self, name, timeout)`
| ``lookupAFSDatabase`(self, name, timeout)`
| ``lookupAllRecords`(self, name, timeout)`
| ``lookupAuthority`(self, name, timeout)`
| ``lookupCanonicalName`(self, name, timeout)`
| ``lookupHostInfo`(self, name, timeout)`
| ``lookupIPV6Address`(self, name, timeout)`
| ``lookupMailBox`(self, name, timeout)`
| ``lookupMailboxInfo`(self, name, timeout)`
| ``lookupMailExchange`(self, name, timeout)`
| ``lookupMailGroup`(self, name, timeout)`
| ``lookupMailRename`(self, name, timeout)`
| ``lookupNameservers`(self, name, timeout)`
| ``lookupNull`(self, name, timeout)`
| ``lookupPointer`(self, name, timeout)`
| ``lookupResponsibility`(self, name, timeout)`
| ``lookupService`(self, name, timeout)`
| ``lookupText`(self, name, timeout)`
| ``lookupWellKnownServices`(self, name, timeout)`
| ``query`(self, query, timeout)`

Class Variable Summary
Inherited from FileAuthority
`NoneType` | `records` = None
`NoneType` | `soa` = None
Inherited from ResolverBase
`NoneType` | `typeToMethod` = None

Generated by Epydoc 2.0 on Wed Feb 25 07:37:44 2004 | http://epydoc.sf.net